Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361180 - SELinux is preventing irqbalance from 'associate' accesses on the message queue Unknown.
Summary: SELinux is preventing irqbalance from 'associate' accesses on the message que...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a2221fc716fb262b04dfbefc418...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 12:51 UTC by MaoTao
Modified: 2017-08-08 15:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:57:22 UTC


Attachments (Terms of Use)

Description MaoTao 2016-07-28 12:51:58 UTC
Description of problem:
I think it started since i activated the "irqbalance.service" on my system. Now SElinux spam this error.
SELinux is preventing irqbalance from 'associate' accesses on the message queue Unknown.

*****  Plugin associate (99.5 confidence) suggests   *************************

If you want to change the label of Unknown to irqbalance_t, you are not allowed to since it is not a valid file type.
Then you must pick a valid file label.
Do
select a valid file type.  List valid file labels by executing: 
# seinfo -afile_type -x

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that irqbalance should be allowed associate access on the Unknown msgq by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'irqbalance' --raw | audit2allow -M my-irqbalance
# semodule -X 300 -i my-irqbalance.pp

Additional Information:
Source Context                system_u:system_r:irqbalance_t:s0
Target Context                system_u:system_r:unconfined_service_t:s0
Target Objects                Unknown [ msgq ]
Source                        irqbalance
Source Path                   irqbalance
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.4-301.fc24.x86_64 #1 SMP Tue
                              Jul 12 11:50:00 UTC 2016 x86_64 x86_64
Alert Count                   69
First Seen                    2016-07-28 15:38:47 EEST
Last Seen                     2016-07-28 15:50:07 EEST
Local ID                      3c27bc5a-2399-41a8-831f-93cf83c0230e

Raw Audit Messages
type=AVC msg=audit(1469710207.999:5157): avc:  denied  { associate } for  pid=772 comm="irqbalance" key=855638250  scontext=system_u:system_r:irqbalance_t:s0 tcontext=system_u:system_r:unconfined_service_t:s0 tclass=msgq permissive=0


Hash: irqbalance,irqbalance_t,unconfined_service_t,msgq,associate

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
type:           libreport

Comment 1 Fedora Admin XMLRPC Client 2016-09-27 15:12:11 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 MaoTao 2016-12-03 14:30:07 UTC
Hello, i have to say that the above issue with the irqbalance.service and SElinux started as i mentioned at the time i installed irqbalance, but i forgot to wrote that i also i installed ESET NOD 32 Antivirus.
Except this i was receiving many more notifications from Selinux mostly for services.

A month ago or so, my subscription to ESET NOD 32 Antivirus expired, so i removed it from my system (Fedora 24).

Any kind of warning from Selinux stopped, incuding irqbalance.

Now ofcourse i have upgraded to Fedora 25, and trying the free version of Sophos antivirus for Linux, without any issues with SElinux.

If you decide, you can close this ticket, since i'm pretty sure it was due to ESET NOD 32 Antivirus.

Unfortunately i can provide any more data, in case you want to investigate why ESET NOD 32 Antivirus was causing these issues.

Comment 3 Fedora End Of Life 2017-07-25 22:06:42 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 15:57:22 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.